summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2004-09-23 02:15:10 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 12:59:05 -0500
commit9fbd16921a0ebcb633a8c1188d04439352db2d3c (patch)
tree57eeaafedba61e1e9191a306a6042fde5d4d4f0a
parente4cd51e17ef5db8e78ed2d8481b7e4321c975fe5 (diff)
downloadsamba-9fbd16921a0ebcb633a8c1188d04439352db2d3c.tar.gz
samba-9fbd16921a0ebcb633a8c1188d04439352db2d3c.tar.bz2
samba-9fbd16921a0ebcb633a8c1188d04439352db2d3c.zip
r2554: added a test for a bug that jelmer pointed out (handling of -s one)
(This used to be commit 74d7bc1948961a24837d966416db12be192382ff)
-rwxr-xr-xsource4/lib/ldb/tests/test-generic.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/source4/lib/ldb/tests/test-generic.sh b/source4/lib/ldb/tests/test-generic.sh
index 6db57967df..4cfae7affb 100755
--- a/source4/lib/ldb/tests/test-generic.sh
+++ b/source4/lib/ldb/tests/test-generic.sh
@@ -15,3 +15,10 @@ $VALGRIND bin/ldbadd tests/test-index.ldif || exit 1
echo "Starting ldbtest indexed"
time $VALGRIND bin/ldbtest -r 1000 -s 5000 || exit 1
+
+echo "Testing one level search"
+count=`$VALGRIND bin/ldbsearch -b 'ou=Groups,o=University of Michigan,c=US' -s one 'objectclass=*' none |grep ^dn | wc -l`
+if [ "$count" != 3 ]; then
+ echo returned $count records - expected 3
+ exit 1
+fi